HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/vrfs/{VRF.name}/tacacs_servers/{Tacacs_Server.address},{Tacacs_Server.tcp_port}

Path Params
string
required

Reference Resource: VRF
VRF identifier. Should be alphanumeric. VRF names must be unique.

string
required

Reference Resource: Tacacs_Server
IPV4/IPV6 address or FQDN of the TACACS+ server.

string
required

Reference Resource: Tacacs_Server
Specifies the tcp port number used for exchanging TACACS+ messages between the client and server.

Body Params
string
enum

Specifies the server specific authentication method (pap/chap) to be used. If not set, the globally configured authentication method (pap/chap) will be used.

Allowed:
int64
required
≥ 1

Specifies the order in which a TACACS+ server is configured within TACACS+ default family group 'tacacs' By default all TACACS+ servers should be added to default group 'tacacs' Priority is assigned starting with 1 and incremental. Servers with equal priority in the default family group will undergo similar tie-breaker algorithm as mentioned for the user defined server group

group
array of strings
required
length between 1 and 2

Reference Resource: AAA_Server_Group
Specifies the TACACS+ server-group that it belongs to. This column is used to identify the user defined AAA server group this TACACS+ server belongs to

group*
string

Specifies the shared secret key between the TACACS+ client and the TACACS+ server. If not set, the globally configured passkey will be used.

integer
1 to 60

Specifies the server specific timeout interval that the switch waits for response from the TACACS+ server before declaring a timeout failure. If not set, the globally configured timeout will be used.

boolean

Specifies whether tracking should be enabled for this server (server tracking has to be enabled globally as well).

int64
≥ 1

Specifies the order in which TACACS+ servers are configured within a user defined server group. Priority is assigned starting with 1 and incremental. If not set, it means this server is not part of a user defined group, this will be empty. Servers where priority is not configured will be reached out last Servers with equal priority in a group will be reached out as follows: Those belonging to vrf where vrf_name appears alphabetically earlier than the others are reached out first. If that's a tie, servers with address appearing alphabetically earlier than the others is reached out first. If that too is a tie, servers with smaller tcp port are reached out first

Responses
204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
Response
Click Try It! to start a request and see the response here!